Skip to main content
GET
/
api
/
v1
/
orders
List orders
curl --request GET \
  --url https://shelfforce.ai/api/v1/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "orderNumber": "<string>",
      "status": "draft",
      "orderDate": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "supplierName": "<string>",
      "customerName": "<string>",
      "accountId": "<string>",
      "storeId": "<string>",
      "expectedDeliveryDate": "2023-11-07T05:31:56Z",
      "total": 123,
      "currency": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Query Parameters

status
enum<string>

Filter by status

Available options:
draft,
pending,
confirmed,
shipped,
delivered,
cancelled
supplierName
string

Filter by supplier name (partial match)

storeId
string

Filter by store ID

cursor
string

Pagination cursor

limit
integer
default:50

Max results

Required range: x <= 100

Response

Paginated list of orders.

data
object[]
pagination
object

Cursor-based pagination metadata.